﻿<Window x:Class="JAProj_Scaling.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:JAProj_Scaling"
        mc:Ignorable="d"
        Title="MainWindow" Height="450" Width="800">
    <Grid>
        <TextBlock x:Name="testBar" HorizontalAlignment="Left" Margin="616,384,0,0" TextWrapping="Wrap" VerticalAlignment="Top"><Run Language="pl-pl" Text="Ilość wątków:"/></TextBlock>
        <ComboBox x:Name="algCB" HorizontalAlignment="Left" Margin="123,378,0,0" VerticalAlignment="Top" Width="120" SelectionChanged="algCB_SelectionChanged">
            <ComboBoxItem>C++</ComboBoxItem>
            <ComboBoxItem>Asm</ComboBoxItem>
        </ComboBox>
        <TextBlock HorizontalAlignment="Left" Margin="16,384,0,0" TextWrapping="Wrap" VerticalAlignment="Top"><Run Language="pl-pl" Text="Wybór algorytmu:"/></TextBlock>
        <Button x:Name="RunBtn" Content="Uruchom" HorizontalAlignment="Left" Margin="253,378,0,0" VerticalAlignment="Top" Height="22" Width="58" Click="RunBtn_Click" IsEnabled="False"/>
        <Button x:Name="ImgBtn" Content="Wybierz plik" HorizontalAlignment="Left" Margin="530,34,0,0" VerticalAlignment="Top" Click="ImgBtn_Click" Width="76"/>
        <TextBlock HorizontalAlignment="Left" Margin="17,36,0,0" TextWrapping="Wrap" VerticalAlignment="Top"><Run Language="pl-pl" Text="Ścieżka pliku:"/></TextBlock>
        <TextBox x:Name="PathBox" HorizontalAlignment="Left" Margin="101,35,0,0" TextWrapping="Wrap" Text="Nie wybrano pliku" VerticalAlignment="Top" Width="420" IsEnabled="False" IsReadOnlyCaretVisible="True"/>
        <Image x:Name="imgView" HorizontalAlignment="Left" Height="302" Margin="17,68,0,0" VerticalAlignment="Top" Width="579"/>
        <Slider x:Name="thSlider" HorizontalAlignment="Left" Margin="472,384,0,0" VerticalAlignment="Top" Width="120" Maximum="64" Minimum="1" ValueChanged="thSlider_ValueChanged"/>
        <TextBox Name="scale1" PreviewTextInput="NumberValidationTextBox" HorizontalAlignment="Left" Margin="652,151,0,0" TextWrapping="Wrap" Text="0" VerticalAlignment="Top" Width="120" AutomationProperties.Name="scale"/>
        <TextBox x:Name="tim" HorizontalAlignment="Left" Margin="652,199,0,0" TextWrapping="Wrap" Text="Timer" VerticalAlignment="Top" Width="120" IsEnabled="False"/>
        <Label Content="Wątki" HorizontalAlignment="Left" Margin="429,378,0,0" VerticalAlignment="Top"/>
        <Label Content="Skala" HorizontalAlignment="Left" Margin="648,120,0,0" VerticalAlignment="Top"/>

    </Grid>
</Window>
